"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _utils = require("../utils");

const {
  module: {
    mode,
    disableES5Transpile
  },
  babelCustomPlugins
} = (0, _utils.getOptions)();
const isProd = mode.toLowerCase() === 'prod';

var _default = () => ({
  presets: [[require.resolve('@babel/preset-env'), disableES5Transpile ? {
    modules: false,
    useBuiltIns: 'usage',
    corejs: 3,
    targets: {
      browsers: ['last 3 Chrome versions', 'last 3 Firefox versions', 'last 3 Edge versions', 'last 3 Safari versions']
    }
  } : {
    modules: false
  }], require.resolve('@babel/preset-react'), require.resolve('@babel/preset-typescript')],
  plugins: [[require.resolve('babel-plugin-transform-define'), isProd ? {
    __DOCS__: false
  } : {}], require.resolve('@babel/plugin-syntax-dynamic-import'), ...babelCustomPlugins]
});

exports.default = _default;